"""
@author: F. Ramognino       <federico.ramognino@polimi.it>
Last update:        12/06/2023

Package with models for internal combustion engines.


Content of the package:
    heatTransfer (package)
        Classes for computation of heat losses at walls
    
    engineGeometry (package)
        Classes with the kinematic model of the engine, with its geometrical features
    
    engineTime (package)
        Classes handling the time features (speed regime, valve timings, SOI/SA, CA-to-Time conversions, etc.)
        
    engineModel (package)
        Classes for handling the engine and processing the data
"""
